Subject: Re: What's in a name? Let's use a (uuid,name,email) triplet

From: A Large Angry SCM <[email-masked]>
Date: Thu, 18 Mar 2010 18:17:48 -0400

Michael Witten wrote:
> Short Version:
> -------------
> 
> 
> Rather than use a (name,email) pair to identify people, let's use
> a (uuid,name,email) triplet.
> 
> The uuid can be any piece of information that a user of git determines
> to be reasonably unique across space and time and that is intended to
> be used by that user virtually forever (at least within a project's
> history).
> 
> For instance, the uuid could be an OSF DCE 1.1 UUID or the SHA-1 of
> some easily remembered, already reasonably unique information.
> 
> This could really help keep identifications clean, and it is rather
> straightforward and possibly quite efficient.
> 
> 
> Long Version:
> ------------

[Much text deleted]

The formatting of the information in the author & committer fields are a 
_social_ convention (with a little help from the tools).You can actually 
use this proposed "feature" now for your own commits by appending the 
UUID string to you name config setting, environment variable and/or GCOS 
field today and everything will work. You can even make it a requirement 
for projects that you control. But don't expect all other projects to do 
so also as they may not care.